<?php

//require_once 'connect.php';

// retorna array com lista de módulos, ou false se deu erro
function parametros_getAll() {
  global $conexao;
  $sql = 'select * from erpc_parametros where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function parametros_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_parametros where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      //addError('Id não encontrado');
    }
  }

  return $result;
}


// retorna array associativo com objeto, ou false se deu erro/não encontrar
function parametros_getByNome($nome) {
  global $conexao;
  $sql = 'select * from erpc_parametros where ds_parametro=? and st_ativo=1';
  $values[] = $nome ;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      //addError('não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function parametros_insert($parametros, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_parametros ';
  $campos = array('ds_parametro', 'ds_valor', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $parametros[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      //addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function parametros_update($parametros) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_parametros set ';
  $campos = array('ds_parametro', 'ds_valor', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $parametros[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $parametros['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    //addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function parametros_delete($parametros) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_parametros set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $parametros['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    //addMessage('Removido com sucesso');
  }
  return $ok;
}

function parametros_create() {
  $parametros = array(
    'id' => '',
    'ds_parametro' => '',
    'ds_valor' => '',
    'st_ativo' => '1',
  );
  return $parametros;
}
